Bug 472576 (CVE-2008-5187) - CVE-2008-5187 imilb2: pointer arithmetic flaw in XPM loader
Summary: CVE-2008-5187 imilb2: pointer arithmetic flaw in XPM loader
Status: CLOSED ERRATA
Alias: CVE-2008-5187
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: impact=important,source=debian,report...
Keywords: Security
Depends On: 472577 472578 472579
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-21 20:55 UTC by Josh Bressers
Modified: 2009-06-08 09:13 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 08:06:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2008-11-21 20:55:58 UTC
The load function in the XPM loader for imlib2 1.4.2, and possibly other
versions, allows attackers to cause a denial of service (crash) and
possibly execute arbitrary code via a crafted XPM file that triggers a
"pointer arithmetic error" and a heap-based buffer overflow, a different
vulnerability than CVE-2008-2426.

NOTE: the provenance of this information is unknown; the details are
obtained solely from third party information.

http://www.openwall.com/lists/oss-security/2008/11/20/5
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505714#15
http://secunia.com/advisories/32796

Comment 2 Fedora Update System 2008-11-23 11:12:18 UTC
imlib2-1.4.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/imlib2-1.4.2-2.fc10

Comment 3 Fedora Update System 2008-11-23 11:13:03 UTC
imlib2-1.4.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/imlib2-1.4.2-2.fc9

Comment 4 Fedora Update System 2008-11-23 11:17:27 UTC
imlib2-1.4.2-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/imlib2-1.4.2-2.fc8

Comment 5 Fedora Update System 2008-11-26 06:16:45 UTC
imlib2-1.4.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-11-26 06:17:08 UTC
imlib2-1.4.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-11-26 06:21:43 UTC
imlib2-1.4.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.